diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/CREDITS horizon-ircd/CREDITS
--- ircd-hybrid-6.2/CREDITS	Wed Dec 31 19:00:00 1969
+++ horizon-ircd/CREDITS	Sat Dec 29 06:24:19 2001
@@ -0,0 +1,8 @@
+This ircd is based off ircd-hybrid6.2 this ircd is in its early devlopment stages but is stable.
+
+
+Thanks go's to all of the hybrid team for makeing ircd-hybrid public source
+
+
+
+
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/Hybrid-team horizon-ircd/Hybrid-team
--- ircd-hybrid-6.2/Hybrid-team	Tue Jul 31 23:31:26 2001
+++ horizon-ircd/Hybrid-team	Wed Dec 31 19:00:00 1969
@@ -1,87 +0,0 @@
-$Id: Hybrid-team,v 1.22 2001/08/01 03:31:26 lusky Exp $
-
-  The hybrid team is a group of ircd coders who were frustrated
-with the instability and all-out "dirtiness" of the EFnet ircd's
-available. "hybrid" is the name for the collective efforts of a group
-of people, all of us.
- 
-Anyone is welcome to contribute to this effort. We are serious about this.
- 
-  We have run the code through "purify", a commercial program designed
-to find memory leaks. It continues to be checked with malloc tools today.
-The code has been prototyped. Profiling has also been done to catch
-slow portions of the code. "crufty" code has been re-written, obsolete
-code has been ripped out. We have also looked at making the code as easy
-to setup up and run as possible using configure, et cetera.
-Finally speed enhancements and other enhancements have been made to this
-ircd, and continue to be made to this ircd.
- 
-  That is not to say that there are still not bugs; there are always bugs.
-But we review each other's work on this project, and are open to publicly
-submittable bug reports.
- 
-The core team as, of this major release:
- 
-cosine        Patrick Alken      <wnder@uwns.underworld.net>
-Dianora       Diane Bruce        <db@db.net>
-larne         Edward Brocklesby  <ejb@leguin.org.uk>
-Neph|l|m      Adel Mezibra       <adel@cybercable.fr>
-pro           Bill Jonus         <proggy@earthling.net>
-Rodder        Jon Lusky          <lusky@blown.net>
-toot          Toby Verrall       <to7@antipope.fsnet.co.uk>
-Wohali        Joan Touzet        <joant@ieee.org>
-xyst          Greg Prosser       <gnp@arrogant.org>
- 
-The following people have contributed blood, sweat, and/or code to
-this release of hybrid, in nick alphabetical order:
- 
-ArielIL       Ariel Biener       <ariel@fireball.tau.ac.il>
-A1kmm         Andrew Miller      <a1kmm@mware.virtualave.net>
-Bleep         Thomas Helvey      <tomh@inxpress.net>
-CBongo        Chris Bongaarts    <cab@tc.umn.edu>
-comstud       Chris Behrens      <cbehrens@concentric.net>
-David-T       David Taylor       <davidt@yadt.co.uk>
-echo          Adam J. Durana     <adam@caca.com>
-fl_           Lee Hardy          <leeh@shagged.org>
-FlashMan      Craig A. Huegen    <chuegen@quadrunner.com>
-Hwy101        Walter Campbell    <wcampbel@botbay.net>
-jailbird      Dustin Marquess    <jailbird@alcatraz.fdf.net>
-johan         Johannes Erdfelt   <jerdfelt@eng.mindspring.net>
-koitsu/k9     Jeremy Chadwick    <jdc@best.net>
-kre           Dinko Korunic      <kreator@fly.srk.fer.hr>
-LarZ          Matthew Ramsey     <mjr@blackened.com>
-orabidoo      Roger Espel LLima  <espel@unix.bigots.org>
-Riedel        Dennis Vink        <vink@vuurwerk.nl>
-Seaner        Sean McVeigh       <sdlmcvei@uwaterloo.ca>
-Shadowfax     Michael Pearce     <mpearce@varner.com>
-Slowaris      Ryan Parker        <rjp@wpmedia.com>
-Taner         Taner Halicioglu   <taner@cerf.net>
-ThemBones     Brian Kraemer      <kraemer@u.washington.edu>
-White_Dragon  Chip Norkus        <wd@dal.net>
-WintrHawk     Jake Khuon         <khuon@GCtr.Net>
-              Piotr Kucharski    <chopin@sgh.waw.pl>
- 
-Developers and Contributors for previous versions:
- 
-Chris Portman       Keith Fralick       Jon Mischo
-Sam Noble           Paul Graham         Darren Reed
-Markku Savela       Greg Lindahl        Jarkko Oikarinen
-Armin Gruner        Matthew Green       Chuck Kane
-Matt Lyle           Vesa Ruokonen       Nicolas Pioch
-Stellan Klebom      Dan Goodwin         Mike Bolotski
-Ian Frechette       Markku Jarvinen     Kimmo Suominen
-Jeff Trim           Vijay Subramaniam   Karl Kleinpaste
-Bill Wisner         Tom Davis           Hugo Calendar
-Bo Adler            Michael Sandrof     Jon Solomon
-Jan Peterson        Helen Rose          Tom Hopkins
-Stephen van den Berg
- 
-Others are welcome. Always.
- 
-Thanks also goes to those persons not mentioned here who have added
-their advice, opinions, and code to IRC.
-Thanks also to those who provide the kind sysadmins who let me and
-others continue to develop IRC.
- 
-Email fixes/complaints/rotten tomatoes to ircd-hybrid@the-project.org.
-
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/INSTALL horizon-ircd/INSTALL
--- ircd-hybrid-6.2/INSTALL	Sat Aug  4 17:24:31 2001
+++ horizon-ircd/INSTALL	Sat Dec 29 05:30:17 2001
@@ -1,8 +1,5 @@
-ircd-hybrid-6 INSTALL
----------------------
-$Id: INSTALL,v 1.9 2001/08/04 21:24:31 leeh Exp $
 
-hybrid-6 relies upon GNU autoconf.  The following is a transcript of
+horizon-ircd relies upon GNU autoconf.  The following is a transcript of
 recommended procedures that users/administrators of hybrid-6 should
 follow when building and tuning the daemon:
 
@@ -64,19 +61,6 @@
 
 HOW TO GET HELP:
 ----------------
-Send Check or Money Order to...  just kidding!  Commerical support for
-ircd-hybrid is not available at this time.
-
-However, all hope is not lost; the Hybrid Mailing List is available for
-general help, and/or questions.  To subscribe, please send Email to
-listmanager@the-project.org with a single line in the body containing
-"subscribe hybrid".
-
-If hybrid crashes on you, PLEASE CONTACT ircd-hybrid@the-project.org
-ASAP with a backtrace of the core.  The hybrid team can't fix bugs if
-no one tells us about them!
+Please email twiz@qx.net or connect to irc.shellux.net channel #horizon
 
-If there is a new feature you would like to see in the next major
-release of ircd-hybrid, please post it to the public mailing list,
-hybrid@the-project.org.
 
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/README.FIRST horizon-ircd/README.FIRST
--- ircd-hybrid-6.2/README.FIRST	Tue Jul 10 08:40:16 2001
+++ horizon-ircd/README.FIRST	Sat Dec 29 17:57:22 2001
@@ -1,25 +1,10 @@
-ircd-hybrid-6 README
---------------------
-$Id: README.FIRST,v 1.11 2001/07/10 12:40:16 jdc Exp $
-
-If you don't read this first, we won't help you.
-:-)
+horizon-ircd README
+-------------------
 
 See the INSTALL document for info on configuring and compiling
-ircd-hybrid.
-
-IMPORTANT. I/K line handling has changed significantly.  There are also
-many new types of conf lines.  Please see RELNOTES and doc/example.conf
-for more information.  The default port is no longer specified in the M
-line, you must add a specific P line for it.
-
-TRANSLATION: You *MUST* fix your conf before upgrading from hybrid-5.
-
-LOTS OF THINGS HAVE CHANGED IN CONFIG.H.  PLEASE READ THROUGH IT.
+horizon-ircd.
 
-There is now a mailing list for general discussion of Hybrid.  To subscribe
-to the Hybrid List, send email to listmanager@the-project.org with
-a single line in the body containing "subscribe hybrid".
+Dont Forget to Edit /include/config.h
 
 SOLARIS USERS: this code appears to tickle a bug in older gcc and
 egcs ONLY on 64-bit Solaris7.  gcc-2.95 and SunPro C on 64bit should
@@ -30,12 +15,14 @@
 if you find otherwise.  It probably does not compile on AIX, IRIX,
 or libc5 Linux.
 
-CYGWIN USERS: This code is known to compile and run somewhat under
-Cygwin 1.1.2.  You will need BIND-4.9.7 and libcrypt to compile hybrid
-under Cygwin.  I have ported BIND 4.9.7 to Cygwin and written a standalone
-md5-based libcrypt that I will make available separately.  With a current
-Cygwin distribution, the libcrypt is not needed, as Cygwin provides a DES
-based libcrypt that works without issues in Hybrid.
+*****************************************
+This Ircd Is Not For The Weak Hearted. 
+This is the no frills of ircds
+*****************************************
+
+This ircd is based off 2.8/hybrid6.2 
+Thanks to the hybrid team for makeing hybrid
+public. It is one of the best ircds made.
+
+
 
-Obtain the valid BIND-4.9.7 distribution here:
-ftp://ftp.blackened.com/pub/irc/hybrid/cygwin/pkg/
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/RELNOTES horizon-ircd/RELNOTES
--- ircd-hybrid-6.2/RELNOTES	Tue Jun 19 13:05:13 2001
+++ horizon-ircd/RELNOTES	Wed Dec 31 19:00:00 1969
@@ -1,81 +0,0 @@
-ircd-hybrid-6 Release Notes
----------------------------
-$Id: RELNOTES,v 1.6 2001/06/19 17:05:13 wcampbel Exp $
-
-Operating system dependencies have been removed, there is no longer any
-special code for AIX, SEQUENT, DYNIX, HPUX, Solaris, or pyr. We have
-made a large effort to remove as many portability issues as possible.
-The code should compile and run on any modern UNIX operating system that
-supports POSIX.1 and ANSI-C. We know the code builds cleanly on BSD,
-Solaris, and Linux. If it fails to work for you, or works on another
-platform not listed here, let us know. We won't make any guarantees
-about changing much to support anything weird, but if including a
-standard header clears up a problem we'll probably do that.  This code
-is known to _not_ compile on AIX.
-
-The code now uses the ANSI-C assert macro in many places, this means
-that if an invariant isn't, the server will core on the spot hopefully.
-Using the assert macro also tends to slow down the code a bit, if you
-like living dangerously and are running the beta, use -DNDEBUG when you
-build the server and it will turn off the asserts. Production servers
-should always be compiled with -DNDEBUG for maximum efficiency. NOTE: If
-you are running a server with the asserts turned on and it cores on you,
-please send us a stack trace if you can.
-  
-Command lines are different for this version of hybrid, most of the old
-flags for debugging and running ircd from a terminal are gone and a
-couple new ones have been added. Valid command line options that require
-compile time options are silently ignored. 
-
-Command line options for this version:
--d filename - specify d:line file
--f filename - specify config file
--h hostname - specify server name
--k filename - specify k:line file
--l filename - specify log file
--n          - do not fork, run in foreground
--v          - print version and exit
--x          - set debug level, if compiled for debug logging
-
-Minimal logging is enabled by default, for the alpha/beta release it is
-set to L_DEBUG in config.h by default, this can be changed to other
-levels if the log gets too noisy (it shouldn't). Look at the log level
-constants in s_log.h for allowable values. A SET option is available
-for setting the value in real time. If you define USE_SYSLOG in your
-config ircd will log to both the ircd.log file and syslog.
-
-Authentication and DNS lookups are handled a bit differently now,
-clients are completely ignored until both auth and dns have completed.
-This is not significantly different than earlier behavior but you should
-notice slightly faster client connects.
-
-I line handling has changed.  Ident lookups are now always done for
-connecting clients.   An @ in the I line no longer turns off the tilde
-'~' adornment in the case of an unidented client. You must use the
-'-' prefix in the I line to turn off the ~ prefix for an unidented client.
-Clients which do not ident will be sent into the kline/iline matching code
-with a leading ~ character.  i.e. to allow a client onto your server
-without a ~, use an I line such as:
-	I:NOMATCH::-*db@*some.host.on.the.net
-This will match this user, and will remove the ~ as seen on the net.
-
-KNOWN BUGS:
-There is a possibility that ircd will core dump if you there are errors
-in your conf file.
-
-Send bug reports to ircd-hybrid@the-project.org.  Please include a gdb
-backtrace and a copy of your config.h.
-
-NOTES:
-------
-The best way to get a backtrace of the core is to follow this sequence of
-instructions:
-1.  Change to the directory where the core file is
-2.  Run gdb on the binary and the core file.  With an unmodified Hybrid-7,
-an example command line is below (in the /usr/local/ircd directory)
-$ gdb bin/ircd ircd.core
-3.  At the "(gdb)" prompt, enter the command "bt"
-4.  Save the output of the backtrace command and send it to
-ircd-hybrid@the-project.org.
-5.  Be sure to save the ircd binary and the core file in a safe place in
-case the developers need to look deeper than a backtrace provides.
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/Team horizon-ircd/Team
--- ircd-hybrid-6.2/Team	Wed Dec 31 19:00:00 1969
+++ horizon-ircd/Team	Sat Dec 29 05:21:10 2001
@@ -0,0 +1,7 @@
+Thanks goes to the persons not mentioned here who have added
+their advice, opinions, and code to IRC.
+Thanks also to those who provide the kind sys admins who let me and
+others continue to develop IRC.
+Thanks also to those who continue to make twinkies and doritos, as they
+are the backbone of most programmers' diets and thus make it possible
+for code like this to be developed!
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/include/config.h horizon-ircd/include/config.h
--- ircd-hybrid-6.2/include/config.h	Tue Sep 25 23:04:02 2001
+++ horizon-ircd/include/config.h	Sat Dec 29 05:34:15 2001
@@ -151,13 +151,17 @@
 /* NETWORK_NAME
  * Displayed in place of the servername when SERVERHIDE is enabled
  */
-#define NETWORK_NAME "EFnet"
+#define NETWORK_NAME "ISnet"
 
 /* NETWORK_DESC
  * Displayed in place of the server info when SERVERHIDE is enabled
  */
-#define NETWORK_DESC "Eris Free Network"
+#define NETWORK_DESC "ISnet Irc Network"
 
+/* No Spoof Free Form Support
+ * Do you wish to enable Spoof FreemForm Support if so define this
+ */
+#define NO_SPOOF_FREEORM
 
 /* TS_MAX_DELTA and TS_WARN_DELTA -  allowed delta for TS when another
  * server connects.
@@ -189,7 +193,7 @@
 /* TS5_ONLY
  * This will disallow TS3 servers from linking
  */
-#undef  TS5_ONLY
+#define  TS5_ONLY
 
 /* SLAVE_SERVERS - Use this to send LOCOPS and KLINES to servers you define
  * uses U: lines in ircd.conf, each server defined in an U: line
@@ -260,7 +264,7 @@
 /* SHOW_FAILED_OPER_ID - if FAILED_OPER_NOTICE is defined, also notify when
  * a client fails to oper because of a identity mismatch (wrong host or nick)
  */
-#undef  SHOW_FAILED_OPER_ID
+#define SHOW_FAILED_OPER_ID
 
 /* SHOW_FAILED_OPER_PASSWD - if FAILED_OPER_NOTICE is defined, also show the
  * attempted passwd
@@ -345,11 +349,11 @@
 #define B_LINES_OPER_ONLY
 #define E_LINES_OPER_ONLY
 #define F_LINES_OPER_ONLY
-#undef  I_LINES_OPER_ONLY
-#undef  K_LINES_OPER_ONLY
-#undef  O_LINES_OPER_ONLY
+#define  I_LINES_OPER_ONLY
+#define  K_LINES_OPER_ONLY
+#define  O_LINES_OPER_ONLY
 #define P_LINES_OPER_ONLY
-#undef  U_LINES_OPER_ONLY
+#define  U_LINES_OPER_ONLY
 
 /* SPOOF_NOTICE - See a notice when a user connects with a
  * spoofed I: line
@@ -364,7 +368,7 @@
  * seeing STATS p requests, look below for the answer to that
  * argument.
  */
-#undef  STATS_NOTICE
+#define  STATS_NOTICE
 
 /* STATS_P_NOTICE - See STATS p requests only, when STATS_NOTICE
  * is undefined.  This allows opers to see requests by users for
@@ -379,7 +383,7 @@
  * Why do opers need this at all? Its an invasion of privacy. bah.
  * you don't need this. -Dianora
  */
-#undef  WHOIS_NOTICE
+#define  WHOIS_NOTICE
 
 /* WHOIS_WAIT - minimum seconds between remote use of WHOIS before
  * max use count is reset
@@ -407,7 +411,7 @@
  * no point forcing MOTD on connecting clients IMO. Give them a short
  * NOTICE telling them they should read the motd, and leave it at that.
  */
-#undef  SHORT_MOTD
+#define  SHORT_MOTD
 
 /* NO_OPER_FLOOD - disable flood control for opers
  * define this to remove flood control for opers
@@ -420,7 +424,7 @@
  * an initial burst, this removes such a delay. BE CAREFUL WITH
  * THIS.
  */
-#undef  TRUE_NO_OPER_FLOOD
+#define  TRUE_NO_OPER_FLOOD
 
 /* SHOW_INVISIBLE_LUSERS - show invisible clients in LUSERS
  * As defined this will show the correct invisible count for anyone who does
@@ -474,7 +478,7 @@
  * to a leaf which just has 1 server (typically the uplink). Define this
  * correctly for performance reasons.
  */
-#undef  HUB
+#define  HUB
 
 /* CMDLINE_CONFIG - allow conf-file to be specified on command line
  * NOTE: defining CMDLINE_CONFIG and installing ircd SUID or SGID is a MAJOR
@@ -613,7 +617,7 @@
  * number of users seen on net > SPLIT_SMALLNET_USER_SIZE start
  * counting down the SERVER_SPLIT_RECOVERY_TIME
  */
-#define SPLIT_SMALLNET_USER_SIZE 15000
+#define SPLIT_SMALLNET_USER_SIZE 100
 
 /*
  * SPLIT_PONG will send a PING to a server after the connect burst.
@@ -654,7 +658,7 @@
  * OPER_IDLE allows operators to remain idle when they idle
  * beyond the idle limit
  */
-#undef  IDLE_CHECK
+#define IDLE_CHECK
 #define IDLE_TIME  60
 #define OPER_IDLE
 
@@ -730,7 +734,7 @@
  * three different servers must do the identical GLINE in order
  * for the G line to take effect.
  */
-#undef  GLINES
+#define  GLINES
 #define GLINEFILE       "gline.log"
 
 /* GLINE_TIME - local expire time for GLINES
@@ -898,7 +902,7 @@
  * if added to Q lines e.g. Q:\#packet_channel:Tired of packets.
  * This also enables local channel mode +j.
  */
-#undef  JUPE_CHANNEL
+#define  JUPE_CHANNEL
 
 /*
  * ANTI_SPAMBOT
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/include/patchlevel.h horizon-ircd/include/patchlevel.h
--- ircd-hybrid-6.2/include/patchlevel.h	Tue Sep 25 23:04:02 2001
+++ horizon-ircd/include/patchlevel.h	Sat Dec 29 05:10:36 2001
@@ -17,5 +17,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "2.8/hybrid-6.2"
+#define PATCHLEVEL  "horizon-1.6.5"
 #endif
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/opers.txt horizon-ircd/opers.txt
--- ircd-hybrid-6.2/opers.txt	Wed Jun 13 14:24:16 2001
+++ horizon-ircd/opers.txt	Sat Dec 29 05:28:33 2001
@@ -1,5 +1,3 @@
-This file outlines the features that ircd-hybrid has for IRC Operators.
-$Id: opers.txt,v 1.14 2001/06/13 18:24:16 leeh Exp $
 
 =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
 
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/src/list.c horizon-ircd/src/list.c
--- ircd-hybrid-6.2/src/list.c	Tue Jul 17 22:15:27 2001
+++ horizon-ircd/src/list.c	Sat Dec 29 05:23:30 2001
@@ -53,7 +53,7 @@
    for smaller nets who knows? -Dianora
    */
 
-#define LINK_PREALLOCATE 1024
+#define LINK_PREALLOCATE 1000
 
 /* Number of aClient structures to preallocate at a time
    for Efnet 1024 is reasonable 
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/src/messages_cust.tab horizon-ircd/src/messages_cust.tab
--- ircd-hybrid-6.2/src/messages_cust.tab	Mon Jul  2 05:19:46 2001
+++ horizon-ircd/src/messages_cust.tab	Sat Dec 29 05:11:44 2001
@@ -266,7 +266,7 @@
 /* 239 */       (char *)NULL,
 /* 240 */       (char *)NULL,
 /* 241 RPL_STATSLLINE, */       ":%s 241 %s %c %s * %s %d %d",
-/* 242 RPL_STATSUPTIME,*/       ":%s 242 %s :Dianora hasn't messed with the server code now in %d days, %d:%02d:%02d",
+/* 242 RPL_STATSUPTIME,*/       ":%s 242 %s :xPsycho hasn't messed with the server code now in %d days, %d:%02d:%02d",
 /* 243 RPL_STATSOLINE, */       ":%s 243 %s %c %s@%s * %s %s %d %s",
 /* 244 RPL_STATSHLINE, */       ":%s 244 %s %c %s * %s %d %d", 
 /* 245 RPL_STATSSLINE, */       ":%s 245 %s %c %s * %s %d %d", 
diff -uNrd -x doc -x docs -x ChangeLog ircd-hybrid-6.2/src/version.c.SH horizon-ircd/src/version.c.SH
--- ircd-hybrid-6.2/src/version.c.SH	Mon Jun  4 11:23:39 2001
+++ horizon-ircd/src/version.c.SH	Sat Dec 29 05:21:32 2001
@@ -74,7 +74,7 @@
 
 IFS='
 '
-for i in `grep -v '^$Id' ../Hybrid-team |tr -d '"'` ; do
+for i in `grep -v '^$Id' ../Team |tr -d '"'` ; do
 echo "  \"$i\"," >> version.c
 done
 $spitshell >>version.c <<!SUB!THISTOO!
